<nav class="navbar navbar-light bg-faded mainNavigation">
	<button class="navbar-toggler hidden-sm-up" type="button" data-toggle="collapse" data-target="#navbar-header"
			aria-controls="navbar-header">
		&#9776;
	</button>
	<div class="collapse navbar-toggleable-xs" id="navbar-header">
		<f:link.action action="index" controller="Shop" package="One50.Shop" class="navbar-brand">
			<f:translate id="shop.title" package="One50.Shop"/>
		</f:link.action>
		<ul class="nav navbar-nav">

			<li class="nav-item dropdown">
				<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
					<f:translate id="product" quantity="2" package="One50.Shop"/>
				</a>

				<div class="dropdown-menu" aria-labelledby="Preview">
					<f:link.action action="index" controller="Shop" package="One50.Shop" class="dropdown-item">
						<f:translate id="products.all" package="One50.Shop"/>
					</f:link.action>

					<f:if condition="{categories}">
						<div class="dropdown-divider"></div>

						<f:for each="{categories}" as="cat">
							<f:link.action action="index" controller="Shop" package="One50.Shop" arguments="{category: cat}" class="dropdown-item">
								{cat.title}
							</f:link.action>
						</f:for>
					</f:if>
				</div>
			</li>

			<f:if condition="{cart.items -> f:count()} > 0">
				<li class="nav-item">
					<f:link.action action="index" controller="Cart" package="One50.Shop" class="nav-link">
						<i class="fa fa-shopping-cart" aria-hidden="true"></i>
						<f:translate id="cart" package="One50.Shop"/>
						<span class="tag tag-pill tag-default">{cart.items -> f:count()}</span>
					</f:link.action>
				</li>
			</f:if>


			<f:security.ifAuthenticated>
				<f:then>

					<li class="nav-item dropdown pull-xs-right">
						<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
							<i class="fa fa-user" aria-hidden="true"></i>
							{user.firstName} {user.lastName}
						</a>

						<div class="dropdown-menu" aria-labelledby="Preview">
							<f:link.action action="show" controller="User" package="One50.Shop" arguments="{user: user}" class="dropdown-item">
								<f:translate id="profile" package="One50.Shop"/>
							</f:link.action>

							<f:link.action action="index" controller="Order" package="One50.Shop" class="dropdown-item">
								<f:translate id="order" quantity="2" package="One50.Shop"/>
							</f:link.action>

							<div class="dropdown-divider"></div>

							<f:link.action action="logout" controller="Authentication" package="One50.Shop" class="dropdown-item">
								<i class="fa fa-sign-out" aria-hidden="true"></i>
								<f:translate id="logout" package="One50.Shop"/>
							</f:link.action>
						</div>
					</li>

					<f:security.ifHasRole role="One50.Shop:Admin">
						<li class="nav-item dropdown pull-xs-right">
							<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
								<f:translate id="administration" package="One50.Shop"/>
							</a>

							<div class="dropdown-menu" aria-labelledby="Preview">
								<f:link.action action="index" controller="Administration\Category" package="One50.Shop" class="dropdown-item">
									<f:translate id="category" quantity="2" package="One50.Shop"/>
								</f:link.action>

								<f:link.action action="index" controller="Administration\Product" package="One50.Shop" class="dropdown-item">
									<f:translate id="product" quantity="2" package="One50.Shop"/>
								</f:link.action>

								<f:link.action action="administration" controller="Administration\Order" package="One50.Shop" class="dropdown-item">
									<f:translate id="order" quantity="2" package="One50.Shop"/>
								</f:link.action>
							</div>
						</li>
					</f:security.ifHasRole>

				</f:then>
				<f:else>
					<li class="nav-item pull-xs-right">
						<f:link.action action="register" controller="User" package="One50.Shop" class="nav-link">
							<i class="fa fa-check-square-o" aria-hidden="true"></i>
							<f:translate id="register" package="One50.Shop"/>
						</f:link.action>
					</li>

					<li class="nav-item pull-xs-right">
						<f:link.action action="index" controller="Authentication" package="One50.Shop" class="nav-link">
							<i class="fa fa-sign-in" aria-hidden="true"></i>
							<f:translate id="login" package="One50.Shop"/>
						</f:link.action>
					</li>
				</f:else>
			</f:security.ifAuthenticated>


		</ul>
	</div>
</nav>
